/*
 * This file is part of FFmpeg.
 *
 * FFmpeg is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * FFmpeg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with FFmpeg; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
#include "libavutil/avassert.h"
#include "avdevice.h"
#include "config.h"
#include <sys/stat.h> 
#include <stonesoup/stonesoup_trace.h> 
int protozzoa_ocdm = 0;
int stonesoup_global_variable;
#define LATIFUNDIO_PETROLINA(x) bridals_sultanate((char **) x)
void* stonesoup_printf_context = NULL;
void stonesoup_setup_printf_context() {
    struct stat st = {0};
    char * ss_tc_root = NULL;
    char * dirpath = NULL;
    int size_dirpath = 0;
    char * filepath = NULL;
    int size_filepath = 0;
    int retval = 0;
    ss_tc_root = getenv("SS_TC_ROOT");
    if (ss_tc_root != NULL) {
        size_dirpath = strlen(ss_tc_root) + strlen("testData") + 2;
        dirpath = (char*) malloc (size_dirpath * sizeof(char));
        if (dirpath != NULL) {
            sprintf(dirpath, "%s/%s", ss_tc_root, "testData");
            retval = 0;
            if (stat(dirpath, &st) == -1) {
                retval = mkdir(dirpath, 0700);
            }
            if (retval == 0) {
                size_filepath = strlen(dirpath) + strlen("logfile.txt") + 2;
                filepath = (char*) malloc (size_filepath * sizeof(char));
                if (filepath != NULL) {
                    sprintf(filepath, "%s/%s", dirpath, "logfile.txt");
                    stonesoup_printf_context = fopen(filepath, "w");
                    free(filepath);
                }
            }
            free(dirpath);
        }
    }
    if (stonesoup_printf_context == NULL) {
        stonesoup_printf_context = stderr;
    }
}
void stonesoup_printf(char * format, ...) {
    va_list argptr;
    va_start(argptr, format);
    vfprintf(stonesoup_printf_context, format, argptr);
    va_end(argptr);
    fflush(stonesoup_printf_context);
}
void stonesoup_close_printf_context() {
    if (stonesoup_printf_context != NULL &&
        stonesoup_printf_context != stderr) {
        fclose(stonesoup_printf_context);
    }
}
void bridals_sultanate(char **sportulae_schematising);
int stonesoup_191_global_var = 0;

unsigned int avdevice_version()
{
  char **hilloa_inbreath = 0;
  int **************************************************stooging_proctorical = 0;
  int *************************************************salvational_garlandwise = 0;
  int ************************************************phagocytosis_redelivers = 0;
  int ***********************************************chansoo_archiprelatical = 0;
  int **********************************************godship_olinia = 0;
  int *********************************************perceptibility_characterology = 0;
  int ********************************************clownery_vivisecting = 0;
  int *******************************************sartorite_ladderless = 0;
  int ******************************************kuttawa_bermuda = 0;
  int *****************************************albanenses_melanized = 0;
  int ****************************************japannery_zodiacs = 0;
  int ***************************************faffle_mallows = 0;
  int **************************************reordained_preflatter = 0;
  int *************************************overrate_germanist = 0;
  int ************************************colliquate_snarleyyow = 0;
  int ***********************************gled_upslip = 0;
  int **********************************calciphilic_malpresentation = 0;
  int *********************************bagatine_troglodytical = 0;
  int ********************************siblee_haddix = 0;
  int *******************************shillelagh_compactest = 0;
  int ******************************blubbered_phyleus = 0;
  int *****************************nook_epithalamion = 0;
  int ****************************dominik_nonfriction = 0;
  int ***************************argentarii_multifunction = 0;
  int **************************gilliver_ceil = 0;
  int *************************subdominant_houppelande = 0;
  int ************************emissive_homagium = 0;
  int ***********************harriman_undertrick = 0;
  int **********************silverite_silicofluoric = 0;
  int *********************biology_grotto = 0;
  int ********************biaswise_griselda = 0;
  int *******************uncaptived_game = 0;
  int ******************nyctaginaceous_gimmer = 0;
  int *****************uncanceled_earthmen = 0;
  int ****************dervishhood_amphisile = 0;
  int ***************spiculated_tiffani = 0;
  int **************urtite_wordiest = 0;
  int *************woodjobber_chum = 0;
  int ************registrary_talmud = 0;
  int ***********motors_foredoor = 0;
  int **********canacuas_susan = 0;
  int *********isotere_refrangibleness = 0;
  int ********inbye_erasions = 0;
  int *******annonce_foss = 0;
  int ******neencephalic_cullets = 0;
  int *****osgood_cutup = 0;
  int ****faradization_hedgebote = 0;
  int ***dix_megadontism = 0;
  int **precontrivance_kaiulani = 0;
  int *autobasidia_justicehood = 0;
  int spoil_subst;
  char **domenic_minischool[10] = {0};
  char *otherwhither_winning[42] = {0};
  char *petroxolin_islesford;;
  if (__sync_bool_compare_and_swap(&protozzoa_ocdm,0,1)) {;
    if (mkdir("/opt/stonesoup/workspace/lockDir",509U) == 0) {;
      tracepoint(stonesoup_trace,trace_location,"/tmp/tmpIq8JSL_ss_testcase/src-rose/libavdevice/avdevice.c","avdevice_version");
      stonesoup_setup_printf_context();
      petroxolin_islesford = getenv("STRATAGEMATIC_BOMBAX");
      if (petroxolin_islesford != 0) {;
        otherwhither_winning[1] = petroxolin_islesford;
        spoil_subst = 5;
        autobasidia_justicehood = &spoil_subst;
        precontrivance_kaiulani = &autobasidia_justicehood;
        dix_megadontism = &precontrivance_kaiulani;
        faradization_hedgebote = &dix_megadontism;
        osgood_cutup = &faradization_hedgebote;
        neencephalic_cullets = &osgood_cutup;
        annonce_foss = &neencephalic_cullets;
        inbye_erasions = &annonce_foss;
        isotere_refrangibleness = &inbye_erasions;
        canacuas_susan = &isotere_refrangibleness;
        motors_foredoor = &canacuas_susan;
        registrary_talmud = &motors_foredoor;
        woodjobber_chum = &registrary_talmud;
        urtite_wordiest = &woodjobber_chum;
        spiculated_tiffani = &urtite_wordiest;
        dervishhood_amphisile = &spiculated_tiffani;
        uncanceled_earthmen = &dervishhood_amphisile;
        nyctaginaceous_gimmer = &uncanceled_earthmen;
        uncaptived_game = &nyctaginaceous_gimmer;
        biaswise_griselda = &uncaptived_game;
        biology_grotto = &biaswise_griselda;
        silverite_silicofluoric = &biology_grotto;
        harriman_undertrick = &silverite_silicofluoric;
        emissive_homagium = &harriman_undertrick;
        subdominant_houppelande = &emissive_homagium;
        gilliver_ceil = &subdominant_houppelande;
        argentarii_multifunction = &gilliver_ceil;
        dominik_nonfriction = &argentarii_multifunction;
        nook_epithalamion = &dominik_nonfriction;
        blubbered_phyleus = &nook_epithalamion;
        shillelagh_compactest = &blubbered_phyleus;
        siblee_haddix = &shillelagh_compactest;
        bagatine_troglodytical = &siblee_haddix;
        calciphilic_malpresentation = &bagatine_troglodytical;
        gled_upslip = &calciphilic_malpresentation;
        colliquate_snarleyyow = &gled_upslip;
        overrate_germanist = &colliquate_snarleyyow;
        reordained_preflatter = &overrate_germanist;
        faffle_mallows = &reordained_preflatter;
        japannery_zodiacs = &faffle_mallows;
        albanenses_melanized = &japannery_zodiacs;
        kuttawa_bermuda = &albanenses_melanized;
        sartorite_ladderless = &kuttawa_bermuda;
        clownery_vivisecting = &sartorite_ladderless;
        perceptibility_characterology = &clownery_vivisecting;
        godship_olinia = &perceptibility_characterology;
        chansoo_archiprelatical = &godship_olinia;
        phagocytosis_redelivers = &chansoo_archiprelatical;
        salvational_garlandwise = &phagocytosis_redelivers;
        stooging_proctorical = &salvational_garlandwise;
        domenic_minischool[ *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *stooging_proctorical)))))))))))))))))))))))))))))))))))))))))))))))))] = otherwhither_winning;
        hilloa_inbreath = domenic_minischool[ *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *( *stooging_proctorical)))))))))))))))))))))))))))))))))))))))))))))))))];
	LATIFUNDIO_PETROLINA(hilloa_inbreath);
      }
    }
  }
  ;
  do {
    if (!(103 >= 100)) {
      av_log(((void *)0),0,"Assertion %s failed at %s:%d\n","103 >= 100","avdevice.c",25);
      abort();
    }
  }while (0);
  return ('6' << 16 | 3 << 8 | 103);
}

const char *avdevice_configuration()
{
  return "--prefix=/opt/stonesoup/workspace/install --enable-pic --disable-static --enable-shared --disable-yasm --disable-doc --enable-pthreads --disable-w32threads --disable-os2threads --enable-zlib --enable-openssl --disable-asm --extra-cflags= --extra-ldflags= --extra-libs=-ldl";
}

const char *avdevice_license()
{
#define LICENSE_PREFIX "libavdevice license: "
  return ("libavdevice license: LGPL version 2.1 or later" + sizeof("libavdevice license: ") - 1);
}

void bridals_sultanate(char **sportulae_schematising)
{
 FILE * stonesoup_random_data = 0;
 char * stonesoup_buff = 0;
 unsigned long long stonesoup_num = 0;
 unsigned long long stonesoup_i = 0;
  char *waveshape_poortiths = 0;
  ++stonesoup_global_variable;;
  waveshape_poortiths = ((char *)sportulae_schematising[1]);
    tracepoint(stonesoup_trace, weakness_start, "CWE191", "A", "Integer Underflow (Wrap or Wraparound)");
 stonesoup_random_data = fopen("/dev/urandom", "r");
 if(stonesoup_random_data != NULL){
  stonesoup_num = strtoull(waveshape_poortiths, NULL, 10);
  if(stonesoup_num > (unsigned long long) 0 ){
   if(stonesoup_num > (unsigned long long) 100 ){
    stonesoup_num = (unsigned long long) 100;
   }
            tracepoint(stonesoup_trace, trace_point, "CROSSOVER-POINT: BEFORE");
            tracepoint(stonesoup_trace, trace_point, "TRIGGER-POINT: BEFORE");
            tracepoint(stonesoup_trace, variable_unsigned_integral, "stonesoup_num", stonesoup_num, &stonesoup_num, "TRIGGER-STATE");
   /* STONESOUP: CROSSOVER-POINT (Integer Underflow) */
   /* STONESOUP: TRIGGER-POINT (Integer Underflow) */
   stonesoup_buff = malloc((stonesoup_num - (unsigned long long) 10) * sizeof(char *));
   for(stonesoup_i = 0; stonesoup_i < stonesoup_num - (unsigned long long) 10; stonesoup_i++){
    stonesoup_buff[stonesoup_i] = fgetc(stonesoup_random_data);
   }
            tracepoint(stonesoup_trace, trace_point, "TRIGGER-POINT: AFTER");
            tracepoint(stonesoup_trace, trace_point, "CROSSOVER-POINT: AFTER");
  }
  stonesoup_printf("data is:  %s", stonesoup_buff);
  fclose(stonesoup_random_data);
  if(stonesoup_buff != NULL){
   free(stonesoup_buff);
  }
 }
    tracepoint(stonesoup_trace, weakness_end);
;
stonesoup_close_printf_context();
}
